<html>
<head>
<title>OGRE: Ogre::RenderablePass Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="structOgre_1_1RenderablePass.html">RenderablePass</a></div>
<h1>Ogre::RenderablePass Struct Reference</h1><!-- doxytag: class="Ogre::RenderablePass" -->Struct associating a single <a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), ie a single rendering...">Pass</a> with a single <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1RenderablePass-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderablePass.html#ced02c6752335dbd5bd4ff1681c35882">RenderablePass</a> (<a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *rend, <a class="el" href="classOgre_1_1Pass.html">Pass</a> *p)</td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderablePass.html#88788b24efb00ee4d9cf8c4b75cf06ee">renderable</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Pointer to the <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> details.  <a href="#88788b24efb00ee4d9cf8c4b75cf06ee"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Pass.html">Pass</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderablePass.html#ec7289b1a870e7c39d83b5d422792990">pass</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Pointer to the <a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), ie a single rendering...">Pass</a>.  <a href="#ec7289b1a870e7c39d83b5d422792990"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Struct associating a single <a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), ie a single rendering...">Pass</a> with a single <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>. 
<p>
This is used to for objects sorted by depth and thus not grouped by pass. 
<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00046">46</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="ced02c6752335dbd5bd4ff1681c35882"></a><!-- doxytag: member="Ogre::RenderablePass::RenderablePass" ref="ced02c6752335dbd5bd4ff1681c35882" args="(Renderable *rend, Pass *p)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::RenderablePass::RenderablePass           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *&nbsp;</td>
          <td class="paramname"> <em>rend</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Pass.html">Pass</a> *&nbsp;</td>
          <td class="paramname"> <em>p</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00053">53</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="88788b24efb00ee4d9cf8c4b75cf06ee"></a><!-- doxytag: member="Ogre::RenderablePass::renderable" ref="88788b24efb00ee4d9cf8c4b75cf06ee" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Renderable.html">Renderable</a>* <a class="el" href="structOgre_1_1RenderablePass.html#88788b24efb00ee4d9cf8c4b75cf06ee">Ogre::RenderablePass::renderable</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Pointer to the <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> details. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00049">49</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

<p>Referenced by <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00218">Ogre::QueuedRenderableCollection::RadixSortFunctorDistance::operator()()</a>, and <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00161">Ogre::QueuedRenderableCollection::DepthSortDescendingLess::operator()()</a>.</p>

</div>
</div><p>
<a class="anchor" name="ec7289b1a870e7c39d83b5d422792990"></a><!-- doxytag: member="Ogre::RenderablePass::pass" ref="ec7289b1a870e7c39d83b5d422792990" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Pass.html">Pass</a>* <a class="el" href="structOgre_1_1RenderablePass.html#ec7289b1a870e7c39d83b5d422792990">Ogre::RenderablePass::pass</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Pointer to the <a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), ie a single rendering...">Pass</a>. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00051">51</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

<p>Referenced by <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00199">Ogre::QueuedRenderableCollection::RadixSortFunctorPass::operator()()</a>, and <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00161">Ogre::QueuedRenderableCollection::DepthSortDescendingLess::operator()()</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:06 2008
</p>
</body>
</html>
